An authorization library that supports access control models like ACL, RBAC, ABAC in Lua (OpenResty)

$ luarocks install casbin

Versions

1.41.8-1286 days ago37,711 downloads
1.41.7-1319 days ago(revision: 2)365 downloads
1.41.6-11 year ago6 downloads
1.41.5-11 year ago50,271 downloads
1.41.4-11 year ago27 downloads
1.41.3-11 year ago3,741 downloads
1.41.2-11 year ago128 downloads
1.41.1-12 years ago55,398 downloads
1.41.0-12 years ago604 downloads
1.40.1-12 years ago35 downloads
1.40.0-12 years ago54 downloads
1.39.0-12 years ago6 downloads
1.38.0-12 years ago10 downloads
1.37.0-12 years ago10 downloads
1.36.0-12 years ago(revision: 2)6 downloads
1.35.1-12 years ago10 downloads
1.35.0-12 years ago7 downloads
1.34.1-12 years ago10 downloads
1.34.0-12 years ago6 downloads
1.33.0-12 years ago6 downloads
1.32.1-12 years ago(revision: 3)10 downloads
1.32.0-12 years ago66 downloads
1.31.0-12 years ago7 downloads
1.30.0-12 years ago47 downloads
1.29.0-12 years ago138 downloads
1.28.0-12 years ago130 downloads
1.27.0-12 years ago6 downloads
1.26.0-12 years ago82,064 downloads
1.25.1-12 years ago10 downloads
1.25.0-12 years ago6 downloads
1.24.2-12 years ago7 downloads
1.24.1-12 years ago(revision: 3)22 downloads
0.0.1-13 years ago51 downloads

Dependencies

Lrexlib-PCRE >= 2.9.1
lua >= 5.1
lualogging >= 1.5.1
luaposix = 35.1-1

Dependency for

amber-apigw, apisix, casbin-adapter, lua-resty-casbin-adapter, resty-casbin-adapter

Manifests